Skip to main content

How To Use Local Trade Copier for MT4 & MT5 Under One Subscription

By December 9, 2021Tutorials
Local-Trade-Copier-Tutorials-How-To-Use-Local-Trade-Copier-for-MT4-&-MT5-Under-One-Subscription-1745x1080

As of 12th of December, 2021, when you buy Local Trade Copier™, you’ll get both versions with one subscription. You do not need to purchase separate trade copier versions for MT4 and MT5.

But what should you do if you already have a separate subscription for MT5 Trade Copier?

Let me go through different scenarios and explain what you need to do if you want to have a Local Trade Copier™ for both Metatrader versions under one subscription.

It is essential to understand. If you have a separate subscription for MT5 Trade Copier (version 1.0.5 or older), you can cancel it and contact us to get the new Local Trade Copier™ for MT4 and MT5. We will not cancel your MT5 Trade Copier subscription for you not to interrupt your copy trading.

In this tutorial, I’ll go through multiple scenarios and explain what to do to get the Local Trade Copier for MT4 & MT5 and not pay separate subscriptions.

  • Scenario #1: You have two active subscriptions, one for MT5 Trade Copier and another for Local Trade Copier.
  • Scenario #2: You have only an MT5 Trade Copier subscription.
  • Scenario #3: You have only a Local Trade Copier™ subscription.
  • Scenario #4: You do not have any active subscriptions.

First, let’s clarify what’s included in the latest Local Trade Copier™ v2.9.9 package.

Local Trade Copier™ for MT4 and MT5 still come as separate computer programs because of the different architecture between Metatrader 4 and 5, but you’ll get both programs now with the same subscription.

So to make it clear, the software name is Local Trade Copier™, and inside you’ll find:

  • Local Trade Copier™ for Metatrader 4
  • Local Trade Copier™ for Metatrader 5
  • Documentation

Installation files for both Metatrader 4 and 5 inside the same Local Trade Copier package.

Local Trade Copier installation files for both Metatrader versions 4 & 5.

Scenario #1: You have two active subscriptions (MT4 + MT5)

If you have two active trade copier subscriptions, one for MT5 and another for MT4, and you want to have a trade copier for both Metatrader versions under one subscription, then you need to follow these steps:

Step 1) You need to be willing to upgrade to the latest Local Trade Copier™ version. If you can stop your current MT5 Trade Copier (1.0.5 or older) and Local Trade Copier (2.9.8 or older), then continue to the next step.

You need to do that because only the latest trade copier version does not require a separate subscription for MT4 and MT5 versions. If, for some reason, you cannot stop the older MT5 Trade Copier and you need to keep using it, then you have to keep your MT5 Trade Copier subscription active.

Step 2) Cancel your MT5 Trade Copier subscription. You can do that through the 2checkout panel or contact us, and we’ll help you.

Step 3) Keep your Local Trade Copier subscription active. That is the one that allows you to have a trade copier for MT4 and MT5 if you download the latest version.

Step 4) Upgrade to the latest version of the Local Trade Copier™ software.

IMPORTANT! Older MT5 Trade Copier v1.0.5 is compatible with the Local Trade Copier for MT4 v2.9.8. If you upgrade to Local Trade Copier v2.9.9, it will not work with the older MT5 Trade Copier 1.0.5, and you’ll have to upgrade to MT5 Trade Copier 1.1.x (included with LTC 2.9.9). It means that if you have to stay with the older MT5 Trade Copier 1.0.5 and need to use it with the MT4 copier together, you cannot upgrade to LTC 2.9.9.

Scenario #2: You have only an MT5 Trade Copier subscription

You still have an option to keep using an older MT5 Trade Copier (1.0.5 or older), but in this case, you need to keep your MT5 Trade Copier subscription active.

IMPORTANT! We will not cancel your MT5 Trade Copier subscription for you not to interrupt your copy trading.

If you have only an MT5 Trade Copier subscription and you want to have a trade copier for both Metatrader versions under one subscription, then you need to follow these steps:

Step 1) You need to be willing to upgrade to the latest Local Trade Copier™ version. If you can stop your current MT5 Trade Copier (1.0.5 or older), continue to the next step.

You need to do that because only the latest trade copier version does not require a separate subscription for MT4 and MT5 versions. If, for some reason, you cannot stop the older MT5 Trade Copier and you need to keep using it, then you have to keep your MT5 Trade Copier subscription active.

Step 2) Do not cancel your MT5 Trade Copier subscription!

Step 3) Contact us about the upgrade, and we’ll convert your existing license to the latest Local Trade Copier™ version. That is the one that allows you to have a trade copier for MT4 and MT5.

Step 4) Download the latest Local Trade Copier™ v2.9.9 and install it on your Metatrader 4 & 5.

Scenario #3: You have only a Local Trade Copier™ subscription

If you have only a Local Trade Copier subscription and you want to have a trade copier for both Metatrader versions under one subscription, then you need to follow these steps:

Step 1) You need to be willing to upgrade to the latest Local Trade Copier™ version. If you can stop your current Local Trade Copier (2.9.8), continue to the next step.

You need to do that because only the latest trade copier version does not require a separate subscription for MT4 and MT5 versions. If you cannot stop the older Local Trade Copier and keep using it, you cannot have MT5 and MT4 under one subscription. Older LTC 2.9.8 is only compatible with an older MT5 Trade Copier 1.0.5, and this one needs a separate subscription.

Step 2) Do not cancel your Local Trade Copier subscription!

Step 3) Download the latest Local Trade Copier™ v2.9.9 and install it on your Metatrader 4 & 5. That is the one that allows you to have a trade copier for MT4 and MT5.

Scenario #4: You do not have any active subscriptions

If you do not have any active subscriptions and you want to have a trade copier for both Metatrader versions under one subscription, then you need to follow these steps:

Step 1) Buy the latest version of the Local Trade Copier™ here.

Step 2) Download the latest Local Trade Copier™ v2.9.9 and install it on your Metatrader 4 & 5. That is the one that allows you to have a trade copier for MT4 and MT5.

 

Rimantas Petrauskas

About Rimantas Petrauskas

Rimantas Petrauskas is one of the most well-known programmers among Forex traders. Having more than 20+ years of programming experience, he created two of the most popular trade copiers for the MetaTrader 4 platform—the Signal Magician and Local Trade Copier. Rimantas is also a best-selling author on Amazon after his book "How to Start Your Own Forex Signals Service" hit #4 in the Forex category during the first launch week.

Leave a Reply

Malcare WordPress Security